import QtQuick

QtObject {
    property var omapiCodeDesc: ({
            "0": "Clear",
            "1": "Mostly Clear",
            "2": "Partly Cloudy",
            "3": "Cloudy",
            "45": "Fog",
            "48": "Freezing Fog",
            "51": "Light Drizzle",
            "53": "Drizzle",
            "55": "Heavy Drizzle",
            "56": "Light Freezing Drizzle",
            "57": "Freezing Drizzle",
            "61": "Light Rain",
            "63": "Rain",
            "65": "Heavy Rain",
            "66": "Light Freezing Rain",
            "67": "Freezing Rain",
            "71": "Light Snow",
            "73": "Snow",
            "75": "Heavy Snow",
            "77": "Light Snow Shower",
            "80": "Light Rain Shower",
            "81": "Rain Shower",
            "82": "Heavy Rain Shower",
            "85": "Snow Shower",
            "86": "Heavy Snow Shower",
            "95": "Thunderstorm",
            "96": "Heavy Thunderstorm",
            "99": "Thunderstorm with Hail"
        })

    property var omapiCode: ({
            "0": "Sunny",
            "1": "PartlyCloudy",
            "2": "Cloudy",
            "3": "VeryCloudy",
            "45": "Fog",
            "48": "Fog",
            "51": "LightShowers",
            "53": "LightRain",
            "55": "HeavyShowers",
            "56": "LightSleetShowers",
            "57": "LightSleet",
            "61": "LightRain",
            "63": "LightRain",
            "65": "HeavyRain",
            "66": "LightSleet",
            "67": "LightSleet",
            "71": "LightSnow",
            "73": "HeavySnow",
            "75": "HeavySnow",
            "77": "LightSnowShowers",
            "80": "LightShowers",
            "81": "HeavyShowers",
            "82": "HeavyShowers",
            "85": "LightSnowShowers",
            "86": "HeavySnowShowers",
            "95": "ThunderyShowers",
            "96": "ThunderyHeavyRain",
            "99": "ThunderySnowShowers"
        })

    property var weatherSymbols: ({
            "Unknown": "air",
            "Cloudy": "cloud",
            "Fog": "foggy",
            "HeavyRain": "rainy",
            "HeavyShowers": "rainy",
            "HeavySnow": "snowing",
            "HeavySnowShowers": "snowing",
            "LightRain": "rainy",
            "LightShowers": "rainy",
            "LightSleet": "rainy",
            "LightSleetShowers": "rainy",
            "LightSnow": "cloudy_snowing",
            "LightSnowShowers": "cloudy_snowing",
            "PartlyCloudy": "partly_cloudy_day",
            "Sunny": "clear_day",
            "ThunderyHeavyRain": "thunderstorm",
            "ThunderyShowers": "thunderstorm",
            "ThunderySnowShowers": "thunderstorm",
            "VeryCloudy": "cloud"
        })

    property var nightWeatherSymbols: ({
            "Unknown": "air",
            "Cloudy": "cloud",
            "Fog": "foggy",
            "HeavyRain": "rainy",
            "HeavyShowers": "rainy",
            "HeavySnow": "snowing",
            "HeavySnowShowers": "snowing",
            "LightRain": "rainy",
            "LightShowers": "rainy",
            "LightSleet": "rainy",
            "LightSleetShowers": "rainy",
            "LightSnow": "cloudy_snowing",
            "LightSnowShowers": "cloudy_snowing",
            "PartlyCloudy": "partly_cloudy_night",
            "Sunny": "clear_night",
            "ThunderyHeavyRain": "thunderstorm",
            "ThunderyShowers": "thunderstorm",
            "ThunderySnowShowers": "thunderstorm",
            "VeryCloudy": "cloud"
        })
}
